searchData={"items":[{"type":"module","title":"PainStaking","doc":"Calculate stakes in advantage betting situations","ref":"PainStaking.html"},{"type":"function","title":"PainStaking.arb/2","doc":"How much to stake in an arbitrage situation.\n\nThe `bankroll` option can be used to set the maximum amount available to\nbet on these outcomes.\n\nThe payouts may not all be exactly the same because of rounding to the\nnearest cent.  This may cause a slight variation in the expected profit.","ref":"PainStaking.html#arb/2"},{"type":"type","title":"PainStaking.edge/0","doc":"A tuple which represents a supposed advantage wagering situation.\n\n- a proposition description\n- the estimate of the fair (or actual) odds of winning\n- the odds offered by the counter-party to the wager","ref":"PainStaking.html#t:edge/0"},{"type":"function","title":"PainStaking.ev/2","doc":"The mathematical expectations for a list of supposed edges\n\nA losing proposition will have an EV below the `bankroll`","ref":"PainStaking.html#ev/2"},{"type":"function","title":"PainStaking.kelly/2","doc":"How much to stake on advantage situations based on the Kelly Criterion\n\nThe output list may be in a different order or have fewer elements than the input list.\n\nMutually exclusive bets are staked as if they were not simultaneous. This leads to\nover-betting.  The difference is negligible on small sets of wagers.","ref":"PainStaking.html#kelly/2"},{"type":"function","title":"PainStaking.sim_win/3","doc":"Simulate a repeated edge situation for the average amount won\n\n`iterations` sets the number of simulated outcomes","ref":"PainStaking.html#sim_win/3"},{"type":"type","title":"PainStaking.staking_options/0","doc":"A keyword list which configures optional parameters for staking calculators\n\n- `bankroll`: the total amount available for wagering; defaults to `100`\n- `independent`: independent or mutually-exclusive simultaneous events; defaults to `false`","ref":"PainStaking.html#t:staking_options/0"},{"type":"type","title":"PainStaking.tagged_number/0","doc":"A tuple with a description and number\n\nPrimarily used to make it easier to collate results.","ref":"PainStaking.html#t:tagged_number/0"},{"type":"type","title":"PainStaking.wager_price/0","doc":"A keyword list with a single pair.\n\nThe key should be one of the atoms for a supported odds format from Exoddic.\nThe value should be an appropriate representation for that key.\n\nExamples:\n\n- Probability: `[prob: 0.50]`\n- Moneyline:   `[us: \"+120\"]`\n- Decimal:     `[eu: 2.25]`\n- Traditional: `[uk: \"4/1\"]`","ref":"PainStaking.html#t:wager_price/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}